Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeTask

All Superinterfaces:
  IAttachmentSupport, IExchangeItem, IGroupwareItem, IItem, IMessagingItem, ITask, java.io.Serializable

All Known Subinterfaces:
  IMapiTask

public interface IExchangeTask
extends ITask, IExchangeItem

The `IExchangeTask` class represents a task in Exchange. Tasks include regular tasks, recurring tasks, regenerative tasks, and assigned tasks.

This is an example of how to create a task, set properties, and retrieve it

Sample code:

    /**
     * The <code>createTask</code> method demonstrates how to create a task
     * with either the MAPI or the WebDAV Exchange providers. The task has
     * several properties set and is then saved.
     *
     * @throws  CollaborationException  if the session factory could not instantiate
     *          a session with the given parameters, or if there was an error
     *          retrieving folders, setting properties, or saving the task.
     */
    public  void    createTask
    (
    )
    throws  CollaborationException
        {
        // setup the session
        Properties p = new Properties ();
        p.setProperty (IExchangeSession.PROP_PROVIDER, IWebdavSession.INTERNAL_NAME);
        p.setProperty (IExchangeSession.PROP_EXCHANGE_SERVER, "server");
        p.setProperty (IExchangeSession.PROP_USER_DOMAIN, "domain");
        p.setProperty (IExchangeSession.PROP_USER_USERNAME, "username");
        p.setProperty (IExchangeSession.PROP_USER_PASSWORD, "password");

        // create and open the session
        IExchangeSession session = (IExchangeSession)SessionFactory.createSession(p);
        session.open();
        session.login ();

        IRootContainer root = session.getDefaultRootContainer ();

        // Get a handle to the tasks folder
        IExchangeTasksContainer tasks = null;
        tasks = (IExchangeTasksContainer)session.getDefaultContainer(
            DefaultContainerClassEnum.TASKS );

        // add a new task to the tasks folder, but do not commit it yet
        // the item will be of the type IExchangeTask.CLASS
        // it is possible to use other types, such as ITask.CLASS,
        // however it is always best to use the most specific type when possible
        IExchangeTask task = null;
        task = (IExchangeTask)tasks.add( IExchangeTask.CLASS, false );

        // set the subject
        task.setSubject( "Compoze Software Test Task" );

        // set the body
        // the HTML body could also be set with HTML instead
        task.setBody( "Body of the task." );

        // set the importance to low
        task.setImportance( ImportanceEnum.LOW );

        // set the percent complete to 100%
        // this will automatically set other properties to logic values,
        // such as task status to "COMPLETED"
        task.setPercentComplete( 1.0d );

        // commit the task
        task.commit();

        // retrieve the task with a few properties
        Key[] keys = new Key[]
            {
            IExchangeTask.PERCENT_COMPLETE, IExchangeTask.STATUS,
            ITask.DATE_COMPLETED, IExchangeTask.IS_COMPLETE,
            IExchangeTask.SUBJECT
            };

        FetchProfile fetchProfile = new FetchProfile( keys );
        task = (IExchangeTask)root.getItemByID( task.getID(), fetchProfile );

        // let's update some fields
        // set percent complete to 35% - this will change the status from
        // "COMPLETED to "IN_PROGRESS"
        task.setPercentComplete( 0.35d );

        // let's set a due date of 5 days from now
        Calendar cal = Calendar.getInstance();
        cal.add( Calendar.DATE, 5 );
        task.setDueDate( cal.getTime() );

        // set an owner for the task
        task.setOwner( "Compoze Software, Inc." );

        // save changes
        task.commit();

        // logout and close
        session.logout ();
        session.close();
        }

Field Summary
`static Key` | `ACTUAL_WORK` Key that represents the actual work for a task.
`static Key` | `ASSOCIATED_TASK_LINK` Represents the property that holds the link between a task and task requests / task notices.
`static Key` | `BILLING_INFO` Key that represents the billing info for a task.
`static ItemClass` | `CLASS` The ItemClass that represents an Exchange task.
`static Key` | `COMPANIES` Key that represents the companies for a task.
`static Key` | `DELEGATOR` Key that represents the total work for a task.
`static Key` | `DUE_CALENDAR` Key that represents the due calendar for a task.
`static Key` | `IS_COMPLETE` Key that represents the 'is complete' for a task.
`static Key` | `IS_TEAM_TASK` Key that represents the 'is team task' for a task.
`static int` | `KEYID_ACTUAL_WORK` The `int` ID for the `ACTUAL_WORK` key.
`static int` | `KEYID_ASSOCIATED_TASK_LINK` The `int` ID for the `ASSOCIATED_TASK_LINK` key.
`static int` | `KEYID_BILLING_INFO` The `int` ID for the `BILLING_INFO` key.
`static int` | `KEYID_COMPANIES` The `int` ID for the `COMPANIES` key.
`static int` | `KEYID_DELEGATOR` The `int` ID for the `DELEGATOR` key.
`static int` | `KEYID_DUE_CALENDAR` The `int` ID for the `DUE_CALENDAR` key.
`static int` | `KEYID_IS_COMPLETE` The `int` ID for the `IS_COMPLETE` key.
`static int` | `KEYID_IS_TEAM_TASK` The `int` ID for the `IS_TEAM_TASK` key.
`static int` | `KEYID_OWNER` The `int` ID for the `OWNER` key.
`static int` | `KEYID_PERCENT_COMPLETE` The `int` ID for the `ITask.PERCENT_COMPLETE` key.
`static int` | `KEYID_RECURRENCE_PATTERN` The `int` ID for the `RECURRENCE_PATTERN` key.
`static int` | `KEYID_REMINDER_DATE` The `int` ID for the `REMINDER_DATE` key.
`static int` | `KEYID_START_CALENDAR` The `int` ID for the `START_CALENDAR` key.
`static int` | `KEYID_TOTAL_WORK` The `int` ID for the `TOTAL_WORK` key.
`static Key` | `OWNER` Key that represents the total work for a task.
`static Key` | `RECURRENCE_PATTERN` Key that represents the recurrence pattern for a task.
`static Key` | `REMINDER_DATE` Key that represents the reminder date for a task.
`static Key` | `START_CALENDAR` Key that represents the start calendar for a task.
`static Key` | `TOTAL_WORK` Key that represents the total work for a task.

Fields inherited from interface com.compoze.collab.groupware.ITask
`DATE_COMPLETED, DUE_DATE, IS_RECURRING, KEYID_DATE_COMPLETED, KEYID_DUE_DATE, KEYID_IS_RECURRING, KEYID_START_DATE, KEYID_STATUS, PERCENT_COMPLETE, START_DATE, STATUS`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.exchange.IExchangeItem
`BODY_RTF, CONTACT_NAMES, CREATOR_ENTRYID, FLAG, FLAG_REMIND_BY, FLAG_TEXT, HAS_REMINDER, HIDE_ATTACHMENTS, ICON_INDEX, IS_HIDDEN, KEYID_BODY_RTF, KEYID_CONTACT_NAMES, KEYID_CREATOR_ENTRYID, KEYID_FLAG, KEYID_FLAG_REMIND_BY, KEYID_FLAG_TEXT, KEYID_HAS_REMINDER, KEYID_HIDE_ATTACHMENTS, KEYID_ICON_INDEX, KEYID_IS_HIDDEN, KEYID_MILEAGE, KEYID_NORMALIZED_SUBJECT, KEYID_PRIORITY, KEYID_SENSITIVITY, KEYID_SUBJECT_PREFIX, MILEAGE, NORMALIZED_SUBJECT, PRIORITY, SENSITIVITY, SUBJECT_PREFIX`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`void` | `decline(boolean bSend, boolean bSaveInSent)` Declines the task, if it is has already been accepted.
`int` | `getActualWork()` Gets the actual work.
`java.lang.String` | `getBillingInfo()` Gets the billing info.
`java.lang.String[]` | `getCompanies()` Gets the companies.
`java.lang.String` | `getDelegator()` Gets the delegator.
`java.util.Calendar` | `getDueCalendar()` Gets the due calendar.
`boolean` | `getHasReminder()` Gets the 'has reminder' flag.
`java.lang.String` | `getOwner()` Gets the owner.
`double` | `getPercentComplete()` Gets the percent complete.
`TaskRecurrencePattern` | `getRecurrencePattern()` Gets the recurrence pattern.
`java.util.Date` | `getReminderDate()` Gets the reminder date.
`java.util.Calendar` | `getStartCalendar()` Gets the start calendar.
`int` | `getTotalWork()` Gets the total work.
`boolean` | `isComplete()` Gets whether the task is complete.
`boolean` | `isCurrentUserRecipient()` Returns if the current user is a recipient of the task.
`boolean` | `isTeamTask()` Gets if the task is a team assigned task.
`void` | `markComplete(boolean bComplete, boolean bSend, boolean bSaveInSent)` Marks the task as complete and commits the changes to the Exchange store.
`void` | `setActualWork(int iActualWork)` Sets the actual work.
`void` | `setBillingInfo(java.lang.String sBillingInfo)` Sets the billing info.
`void` | `setCompanies(java.lang.String[] sCompanies)` Sets the companies.
`void` | `setDelegator(java.lang.String sDelegator)` Sets the delegator.
`void` | `setHasReminder(boolean bHasReminder)` Sets the 'has reminder' flag.
`void` | `setOwner(java.lang.String sOwner)` Sets the owner.
`void` | `setPercentComplete(double dPercentComplete)` Sets the percent complete.
`void` | `setRecurrencePattern(TaskRecurrencePattern pattern)` Sets the recurrence pattern.
`void` | `setReminderDate(java.util.Date reminderDate)` Sets the reminder date.
`void` | `setStatus(TaskStatus status)` Sets the status of the task.
`void` | `setTotalWork(int iTotalWork)` Sets the total work.
`void` | `skip()` Skips an instance of a task, if it is a recurring task.

Methods inherited from interface com.compoze.collab.groupware.ITask
`getDateCompleted, getDueDate, getStartDate, getStatus, isRecurring, setDateCompleted, setDueDate, setDueDate, setStartDate, setStartDate`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.exchange.IExchangeItem
`getBodyRtf, getContactNames, getFlagStatus, getFlagText, getHideAttachments, getMileage, getPriority, getSensitivity, getSubjectPrefix, isHidden, setBodyRtf, setContactNames, setFlagStatus, setFlagText, setHideAttachments, setMileage, setPriority, setSensitivity, setSubjectPrefix`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_ACTUAL_WORK

    public static final int KEYID_ACTUAL_WORK

  The `int` ID for the `ACTUAL_WORK` key.

### KEYID_BILLING_INFO

    public static final int KEYID_BILLING_INFO

  The `int` ID for the `BILLING_INFO` key.

### KEYID_COMPANIES

    public static final int KEYID_COMPANIES

  The `int` ID for the `COMPANIES` key.

### KEYID_DUE_CALENDAR

    public static final int KEYID_DUE_CALENDAR

  The `int` ID for the `DUE_CALENDAR` key.

### KEYID_IS_COMPLETE

    public static final int KEYID_IS_COMPLETE

  The `int` ID for the `IS_COMPLETE` key.

### KEYID_IS_TEAM_TASK

    public static final int KEYID_IS_TEAM_TASK

  The `int` ID for the `IS_TEAM_TASK` key.

### KEYID_OWNER

    public static final int KEYID_OWNER

  The `int` ID for the `OWNER` key.

### KEYID_PERCENT_COMPLETE

    public static final int KEYID_PERCENT_COMPLETE

  The `int` ID for the `ITask.PERCENT_COMPLETE` key.

### KEYID_RECURRENCE_PATTERN

    public static final int KEYID_RECURRENCE_PATTERN

  The `int` ID for the `RECURRENCE_PATTERN` key.

### KEYID_REMINDER_DATE

    public static final int KEYID_REMINDER_DATE

  The `int` ID for the `REMINDER_DATE` key.

### KEYID_START_CALENDAR

    public static final int KEYID_START_CALENDAR

  The `int` ID for the `START_CALENDAR` key.

### KEYID_TOTAL_WORK

    public static final int KEYID_TOTAL_WORK

  The `int` ID for the `TOTAL_WORK` key.

### KEYID_DELEGATOR

    public static final int KEYID_DELEGATOR

  The `int` ID for the `DELEGATOR` key.

### KEYID_ASSOCIATED_TASK_LINK

    public static final int KEYID_ASSOCIATED_TASK_LINK

  The `int` ID for the `ASSOCIATED_TASK_LINK` key.

### ACTUAL_WORK

    public static final Key ACTUAL_WORK

  Key that represents the actual work for a task.

### BILLING_INFO

    public static final Key BILLING_INFO

  Key that represents the billing info for a task.

### COMPANIES

    public static final Key COMPANIES

  Key that represents the companies for a task.

### DUE_CALENDAR

    public static final Key DUE_CALENDAR

  Key that represents the due calendar for a task.

### IS_COMPLETE

    public static final Key IS_COMPLETE

  Key that represents the 'is complete' for a task.

### IS_TEAM_TASK

    public static final Key IS_TEAM_TASK

  Key that represents the 'is team task' for a task.

### RECURRENCE_PATTERN

    public static final Key RECURRENCE_PATTERN

  Key that represents the recurrence pattern for a task.

### REMINDER_DATE

    public static final Key REMINDER_DATE

  Key that represents the reminder date for a task.

### START_CALENDAR

    public static final Key START_CALENDAR

  Key that represents the start calendar for a task.

### TOTAL_WORK

    public static final Key TOTAL_WORK

  Key that represents the total work for a task.

### DELEGATOR

    public static final Key DELEGATOR

  Key that represents the total work for a task.

### OWNER

    public static final Key OWNER

  Key that represents the total work for a task.

### ASSOCIATED_TASK_LINK

    public static final Key ASSOCIATED_TASK_LINK

  Represents the property that holds the link between a task and task requests / task notices.

### CLASS

    public static final ItemClass CLASS

  The ItemClass that represents an Exchange task.

Method Detail

### setActualWork

    public void setActualWork(int iActualWork)
                       throws CollaborationException

  Sets the actual work.
  Parameters:
    `iActualWork` - the actual work
  Throws:
    `CollaborationException` - if there was an error setting the actual work

### getActualWork

    public int getActualWork()
                      throws CollaborationException

  Gets the actual work.
  Returns:
    the actual work
  Throws:
    `CollaborationException` - if there was an error getting the actual work
    `PropertyMissingException` - if the property was requested but not available
  See Also:
    `ACTUAL_WORK`

### setBillingInfo

    public void setBillingInfo(java.lang.String sBillingInfo)
                        throws CollaborationException

  Sets the billing info.
  Parameters:
    `sBillingInfo` - the billing info
  Throws:
    `CollaborationException` - if there was an error setting the billing info

### getBillingInfo

    public java.lang.String getBillingInfo()
                                    throws CollaborationException

  Gets the billing info.
  Returns:
    the billing info
  Throws:
    `CollaborationException` - if there was an error getting the billing info
  See Also:
    `setBillingInfo(String)`

### setCompanies

    public void setCompanies(java.lang.String[] sCompanies)
                      throws CollaborationException

  Sets the companies.
  Parameters:
    `sCompanies` - the companies
  Throws:
    `CollaborationException` - if there was an error setting the companies

### getCompanies

    public java.lang.String[] getCompanies()
                                    throws CollaborationException

  Gets the companies.
  Returns:
    the companies
  Throws:
    `CollaborationException` - if there was an error getting the companies
  See Also:
    `setCompanies(String[])`

### setDelegator

    public void setDelegator(java.lang.String sDelegator)
                      throws CollaborationException

  Sets the delegator.
  Parameters:
    `sDelegator` - the delegator for this task.
  Throws:
    `CollaborationException` - if there was an error setting the delegator

### getDelegator

    public java.lang.String getDelegator()
                                  throws CollaborationException

  Gets the delegator.
  Returns:
    the delegator
  Throws:
    `CollaborationException` - if there was an error getting the delegator
  See Also:
    `setDelegator(String)`

### setOwner

    public void setOwner(java.lang.String sOwner)
                  throws CollaborationException

  Sets the owner.
  Parameters:
    `sOwner` - the owner for this task.
  Throws:
    `CollaborationException` - if there was an error setting the owner

### getOwner

    public java.lang.String getOwner()
                              throws CollaborationException

  Gets the owner.
  Returns:
    the owner
  Throws:
    `CollaborationException` - if there was an error getting the owner
  See Also:
    `setOwner(String)`

### getDueCalendar

    public java.util.Calendar getDueCalendar()
                                      throws CollaborationException

  Gets the due calendar.
  Returns:
    the due calendar
  Throws:
    `CollaborationException` - if there was an error getting the due calendar

### setHasReminder

    public void setHasReminder(boolean bHasReminder)
                        throws CollaborationException

  Sets the 'has reminder' flag.
  Parameters:
    `bHasReminder` - the 'has reminder' flag
  Throws:
    `CollaborationException` - if there was an error setting the 'has reminder' flag

### getHasReminder

    public boolean getHasReminder()
                           throws CollaborationException

  Gets the 'has reminder' flag.
  Returns:
    the 'has reminder' flag
  Throws:
    `CollaborationException` - if there was an error getting the 'has reminder' flag
    `PropertyMissingException` - if the property was requested but not available
  See Also:
    `setHasReminder(boolean)`

### setPercentComplete

    public void setPercentComplete(double dPercentComplete)
                            throws CollaborationException

  Sets the percent complete. Depending on the percent complete value supplied, other values on a task will automatically change. Requires the `IS_COMPLETE` key.

  `== 1.0`:

  - `ITask.STATUS` to `COMPLETED`.
  - `IExchangeTask.IS_COMPLETE` to `true`.
  `== 0.0`:
  - `ITask.STATUS` to `NOT_STARTED`.
  - `IExchangeTask.IS_COMPLETE` to `false`.
  - `IExchangeTask.DATE_COMPLETE` to `null`.
  `< 1.0 && > 0.0` and `isComplete()` is `true`:
  - `ITask.STATUS` to `IN_PROGRESS`.
  - `IExchangeTask.IS_COMPLETE` to `false`.
  - `IExchangeTask.DATE_COMPLETE` to `null`.
  Specified by:
    `setPercentComplete` in interface `ITask`
  Parameters:
    `dPercentComplete` - the percent complete. This value must be >= 0.0, and <= 1.0.
  Throws:
    `CollaborationException` - if there was an error setting the percent complete
  See Also:
    `IS_COMPLETE`

### getPercentComplete

    public double getPercentComplete()
                              throws CollaborationException

  Gets the percent complete.
  Specified by:
    `getPercentComplete` in interface `ITask`
  Returns:
    the percent complete
  Throws:
    `CollaborationException` - if there was an error getting the percent complete
    `PropertyMissingException` - if the property was requested but not available
  See Also:
    `setPercentComplete(double)`

### setRecurrencePattern

    public void setRecurrencePattern(TaskRecurrencePattern pattern)
                              throws CollaborationException

  Sets the recurrence pattern. Automatically updates `ITask.IS_RECURRING` to reflect the specified pattern.
  Parameters:
    `pattern` - the recurrence pattern. If set to `null`, then the pattern is removed from the task.
  Throws:
    `CollaborationException` - if there was an error setting the recurrence pattern

### getRecurrencePattern

    public TaskRecurrencePattern getRecurrencePattern()
                                               throws CollaborationException

  Gets the recurrence pattern.
  Returns:
    the recurrence pattern
  Throws:
    `CollaborationException` - if there was an error getting the recurrence pattern
  See Also:
    `setRecurrencePattern(TaskRecurrencePattern)`

### setReminderDate

    public void setReminderDate(java.util.Date reminderDate)
                         throws CollaborationException

  Sets the reminder date.
  Parameters:
    `reminderDate` - the reminder date. (`null` implies no reminder date and removes the reminder from the task).
  Throws:
    `CollaborationException` - if there was an error setting the reminder date

### getReminderDate

    public java.util.Date getReminderDate()
                                   throws CollaborationException

  Gets the reminder date.
  Returns:
    the reminder date
  Throws:
    `CollaborationException` - if there was an error getting the reminder date
  See Also:
    `setReminderDate(Date)`

### getStartCalendar

    public java.util.Calendar getStartCalendar()
                                        throws CollaborationException

  Gets the start calendar.
  Returns:
    the start calendar
  Throws:
    `CollaborationException` - if there was an error getting the start calendar

### setTotalWork

    public void setTotalWork(int iTotalWork)
                      throws CollaborationException

  Sets the total work.
  Parameters:
    `iTotalWork` - the total work
  Throws:
    `CollaborationException` - if there was an error setting the total work

### getTotalWork

    public int getTotalWork()
                     throws CollaborationException

  Gets the total work.
  Returns:
    the total work
  Throws:
    `CollaborationException` - if there was an error getting the total work
    `PropertyMissingException` - if the property was requested but not available
  See Also:
    `setTotalWork(int)`

### isComplete

    public boolean isComplete()
                       throws CollaborationException

  Gets whether the task is complete.
  Returns:
    whether the task is complete
  Throws:
    `CollaborationException` - if there was an error getting the complete status
    `PropertyMissingException` - if the property was requested but not available

### isCurrentUserRecipient

    public boolean isCurrentUserRecipient()
                                   throws CollaborationException

  Returns if the current user is a recipient of the task.
  Returns:
    `true` if the current user is a recipient of the task
  Throws:
    `CollaborationException` - if there was an error getting the current recipient

### isTeamTask

    public boolean isTeamTask()
                       throws CollaborationException

  Gets if the task is a team assigned task.
  Returns:
    `true` if the task is a team assigned task
  Throws:
    `CollaborationException` - if there was an error getting if the task is assigned
    `PropertyMissingException` - if the property was requested but not available

### decline

    public void decline(boolean bSend,
                        boolean bSaveInSent)
                 throws CollaborationException

  Declines the task, if it is has already been accepted.
  Parameters:
    `bSend` - sends a decline message back to the task originator.
    `bSaveInSent` - if sending, save to sent items
  Throws:
    `OperationUnsupportedException` - always

### skip

    public void skip()
              throws CollaborationException

  Skips an instance of a task, if it is a recurring task.
  Throws:
    `CollaborationException` - if there was an error skipping a task instance

### markComplete

    public void markComplete(boolean bComplete,
                             boolean bSend,
                             boolean bSaveInSent)
                      throws CollaborationException

  Marks the task as complete and commits the changes to the Exchange store. If `IS_RECURRING`, then creates the next task in the series, if one exists.
  Specified by:
    `markComplete` in interface `ITask`
  Parameters:
    `bComplete` - `true` if the task is completed, `false`otherwise``
    `bSend` - `true` to send the status if needed
    `bSaveInSent` - if sending, `true` to save a copy
  Throws:
    `CollaborationException` - if there was an error updating the task
  See Also:
    `RECURRENCE_PATTERN`, `IS_COMPLETE`, `ITask.DUE_DATE`, `ITask.IS_RECURRING`

### setStatus

    public void setStatus(TaskStatus status)
                   throws CollaborationException

  Sets the status of the task. Depending on the status value supplied, other values on a task will automatically change. Requires the `IS_COMPLETE` key.

  `TaskStatusEnum.COMPLETED`:

  - `IExchangeTask.PERCENT_COMPLETE` to `1.0`.
  - `IExchangeTask.IS_COMPLETE` to `true`.
  `TaskStatusEnum.NOT_STARTED`:
  - `IExchangeTask.PERCENT_COMPLETE` to `0.0`.
  - `IExchangeTask.IS_COMPLETE` to `false`.
  - `IExchangeTask.DATE_COMPLETE` to `null`.
  Any other status and `isComplete()` is `true`:
  - `IExchangeTask.PERCENT_COMPLETE` to `0.0`.
  - `IExchangeTask.IS_COMPLETE` to `false`.
  - `IExchangeTask.DATE_COMPLETE` to `null`.
  Specified by:
    `setStatus` in interface `ITask`
  Parameters:
    `status` - the status
  Throws:
    `CollaborationException` - if there was an error setting the status

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.